// Basic Graphic class.

// No clipping in the graphic functions of this class is performed
// No checking of valid VideoMode for the execution of the graphic functions
//		is performed
#ifndef __BGRAPH
#define __BGRAPH

#include "VESA.hpp"
#include "RGB.hpp"
#include "GraphDev.hpp"




class BGraph: public VESA, public GraphicDevice {

	public:
		// no data at all for this class
	public:

		/*------------------------------------------------------------------------
				CONTRUCTOR & DESTRUCTOR
		------------------------------------------------------------------------*/
		//BGraph(void) ;
		//~BGraph() ;

		int InitBGraph();

		/*------------------------------------------------------------------------
				Get/Set Pixel, HLine
		------------------------------------------------------------------------*/
/*			void SetPixel(int x, int y, RGB &rgb);
			RGB GetPixel(int x, int y);
			void SetHLine(unsigned char *source, int x, int y, int dx);
			void GetHLine(unsigned char *dest, int x, int y, int dx);
*/

		/*------------------------------------------------------------------------
				Get/Set Pixel, HLine
		------------------------------------------------------------------------*/
		void SetPixelNoClip(int x, int y, RGB &rgb);
		RGB GetPixelNoClip(int x, int y);
		void SetHLineNoClip(unsigned char *source, int x, int y, int dx);
		void GetHLineNoClip(unsigned char *dest, int x, int y, int dx);


		/*------------------------------------------------------------------------
		Overriden GraphicDevice functions
		------------------------------------------------------------------------*/
		void Cls(RGB rgb=RGB(0,0,0));


};


#endif