// VARIABLES:         ADJUST AS NECESSARY
//#define MAX_HYPER   20    // maximum number of hyperregions at a time


// CONSTANTS:
#define NO_HYPER          -1
#define HYPER_DEF_ERROR   -1

#ifndef __Hyper
#define __Hyper

enum { WINDOW_REGION, TITLE_REGION, CLOSE_REGION };

typedef int HYPER;

// CLASS:
class Hyper {

	private:

		struct st_hyp	{
			int x0;
			int y0;
			int x1;
			int y1;
		} *hyp;

		int max_hyper;

	public:

		Hyper(int max_hyperVal);
		~Hyper();
		void Ini(void);

		void Reset(void);
		HYPER GetHyper(int x, int y);
		HYPER Define(int x, int y, int dx, int dy);
		void Redefine(HYPER id, int x, int y, int dx, int dy);
		void Free(HYPER id);
		int Availability(void);

};






#endif