#include "RGB.hpp"
#include "Window.hpp"
#include "SaveBack.hpp"

class Progress {
	private:
		int min ,max, step;
		int current;
		int current_step;
		int x,y,dx,dy;
		RGB *rgb_ink;
		RGB *rgb_paper;
		Window *win;
		SaveBackground *savebackground;
		int mid_x;

	public:

		Progress(int min, int max, int step,
					char *title, RGB &rgb_ink, RGB &rgb_paper=RGB(0,0,0),
					int x=-1, int y=0, int dx=0, int dy=0);

		~Progress();

		void Increment(void);
		void Set(int current);

};