#include "rgb.hpp"


RGB::RGB(unsigned char rVal, unsigned char gVal, unsigned char bVal) {
	red = rVal;
	green = gVal;
	blue = bVal;
}

RGB::RGB(RGB& c) {
	red = c.red;
	green = c.green;
	blue = c.blue;
}


RGB& RGB::operator =(RGB& c) {
	red   = c.red;
	green = c.green;
	blue  = c.blue;
	return *this;
}

RGB RGB::operator !() {

	return RGB(255 - red, 255 - green, 255 - blue);

}
