//   Class to transfer RGB colour data

#ifndef __RGB
#define __RGB


#define RGB_RED    RGB(255,0,0)
#define RGB_GREEN  RGB(0,255,0)
#define RGB_BLUE   RGB(0,0,255)

class RGB {

	public:
		unsigned char red;
		unsigned char green;
		unsigned char blue;
		// used to be this definition: unsigned char rgb[3]; where r=rgb[2], g=rgb[1], b=rgb[0]

	public:

		RGB(unsigned char rVal=0, unsigned char gVal=0, unsigned char bVal=0);
		RGB(RGB& c);
		~RGB() {}

		RGB& operator =(RGB& c);
		friend RGB operator +(RGB& c1, RGB& c2);

		RGB operator !();

};

#endif
















