#ifndef __SAVEBACKGROUND__
#define __SAVEBACKGROUND__

#include "XMS_USE.dir"

#if defined(_USE_XMS_)
	#include "ImgXMS.hpp"
#elif defined(_NO_USE_XMS_)
	#include "ImgFile.hpp"
#else
	#error You have to define _USE_XMS_ or _NO_USE_XMS in Options/Compiler/Code Generation
#endif


class SaveBackground {
	private :
		#if defined(_USE_XMS_)
			ImgXMS img;
		#elif defined(_NO_USE_XMS_)
			ImgFile img;
		#endif

		int x,y;


	public:
		SaveBackground(int x, int y, int dx, int dy);
		~SaveBackground();
};







#endif